Skip to content
Start here

Bulk create URL Scans

client.urlScanner.scans.bulkCreate(ScanBulkCreateParams { account_id, body } params, RequestOptionsoptions?): ScanBulkCreateResponse { api, result, url, 3 more }
POST/accounts/{account_id}/urlscanner/v2/bulk

Submit URLs to scan. Check limits at https://developers.cloudflare.com/security-center/investigate/scan-limits/ and take into account scans submitted in bulk have lower priority and may take longer to finish.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
params: ScanBulkCreateParams { account_id, body }
account_id: string

Path param: Account ID.

body?: Array<Body>

Body param: List of urls to scan (up to a 100).

url: string
customagent?: string
maxLength4096
customHeaders?: Record<string, string>

Set custom headers.

referer?: string
maxLength4096
screenshotsResolutions?: Array<"desktop" | "mobile" | "tablet">

Take multiple screenshots targeting different device types.

One of the following:
"desktop"
"mobile"
"tablet"
visibility?: "Public" | "Unlisted"

The option Public means it will be included in listings like recent scans and search results. Unlisted means it will not be included in the aforementioned listings, users will need to have the scan's ID to access it. A a scan will be automatically marked as unlisted if it fails, if it contains potential PII or other sensitive material.

One of the following:
"Public"
"Unlisted"
ReturnsExpand Collapse
ScanBulkCreateResponse = Array<ScanBulkCreateResponseItem>
api: string

URL to api report.

result: string

URL to report.

url: string

Submitted URL

uuid: string

Scan ID.

formatuuid
visibility: "public" | "unlisted"

Submitted visibility status.

One of the following:
"public"
"unlisted"
options?: Options { useragent }
useragent?: string

Bulk create URL Scans

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.urlScanner.scans.bulkCreate({ account_id: 'account_id' });

console.log(response);
[
  {
    "api": "api",
    "result": "result",
    "url": "url",
    "uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "visibility": "public",
    "options": {
      "useragent": "useragent"
    }
  }
]
Returns Examples
[
  {
    "api": "api",
    "result": "result",
    "url": "url",
    "uuid": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "visibility": "public",
    "options": {
      "useragent": "useragent"
    }
  }
]